/*
 * ----------------------------------------------------------------------------
 * "THE BEER-WARE LICENSE" (Revision 42):
 * <phk@FreeBSD.org> wrote this file.  As long as you retain this notice you
 * can do whatever you want with this stuff. If we meet some day, and you think
 * this stuff is worth it, you can buy me a beer in return.   Poul-Henning Kamp
 * ----------------------------------------------------------------------------
 *
 * $Id: smp.h,v 1.5 1996/05/27 23:27:32 phk Exp $
 *
 */

#ifndef _MACHINE_SMP_H_
#define _MACHINE_SMP_H_

#ifdef KERNEL
#include "opt_smp.h"
#ifdef SMP

#include <machine/apic.h>

static __inline unsigned 
cpunumber(void)
{
	return ((apic_base[APIC_ID] & APIC_ID_MASK) >> 24);
}

void	get_mplock	__P((void));
void	rel_mplock	__P((void));
void	expect_mplock	__P((void));

#endif /* SMP */
#endif /* KERNEL */
#endif /* _MACHINE_SMP_H */
